﻿using System;
using System.Collections.Generic;
using System.Windows.Forms;

namespace SampleCode
{
	public partial class ExtensionMethods : Form
	{
		public ExtensionMethods()
		{
			InitializeComponent();

			var items = new[] {"A", "B", "D"};

			// 2.0 way
			//CheckItems(checkedListBox1, items);

			// via extension method (in Extensions.cs)
			checkedListBox1.CheckItems(items);
		}

		private void CheckItems(CheckedListBox listBox, IEnumerable<String> items)
		{
			listBox.ClearSelected();
			foreach (var item in items)
			{
				int index = listBox.FindStringExact(item);
				if (index != -1)
				{
					listBox.SetItemCheckState(index, CheckState.Checked);
				}
			}
		}
	}
}
