﻿using System;
using System.Collections.Generic;
using System.Windows.Forms;

namespace SampleCode
{
	// Extension methods must be placed in static classes
	public static class Extensions
	{
		public static void CheckItems(this CheckedListBox listBox, IEnumerable<String> items)
		{
			listBox.ClearSelected();
			foreach (var item in items)
			{
				int index = listBox.FindStringExact(item);
				if (index != -1)
				{
					listBox.SetItemCheckState(index, CheckState.Checked);
				}
			}
		}

		/// <summary>
		/// Convert any string to a particular Enum
		/// </summary>
		/// <typeparam name="T"></typeparam>
		/// <param name="item"></param>
		/// <returns></returns>
		public static T ToEnum<T>(this string item)
		{
			return (T)Enum.Parse(typeof(T), item);
		}
	}
}
