﻿using System;

namespace SampleCode
{
	public class Lambdas
	{
		public void ShowCosts()
		{
			var costs = new[] {1.0, 2.0, 3.0};

			// .NET 1.1
			var stringCosts1 = Array.ConvertAll(costs, new Converter<double, string>(DoubleToString));

			// .NET 2.0 with anonymous delegates
			var stringCosts2 = Array.ConvertAll(costs, delegate(double d)
			                                          	{
			                                          		return d.ToString();
			                                          	});

			// .NET 3.5 using Lambdas
			var stringCosts3 = Array.ConvertAll(costs, d => d.ToString());
		}

		public string DoubleToString(double d)
		{
			return d.ToString();
		}
	}
}
