﻿using System;
using System.Windows.Forms;

namespace SampleCode
{
	public partial class ObjectInitializers : Form
	{
		public ObjectInitializers()
		{
			InitializeComponent();
		}

		private void SaveFile()
		{
			// .NET 2.0 syntax of property setters
			//SaveFileDialog dialog = new SaveFileDialog();
			//dialog.Title = "Select File to Save";
			//dialog.Filter = "All Files | *.*";
			//dialog.InitialDirectory = Environment.CurrentDirectory;
			//dialog.FilterIndex = 0;

			// .NET 3.5 with Object Intiailizers
			var dialog = new SaveFileDialog
			             {
			             	Title = "Select File to Save",
			             	Filter = "All Files | *.*",
			             	InitialDirectory = Environment.CurrentDirectory,
			             	FilterIndex = 0
			             };


			DialogResult result = dialog.ShowDialog(this);
		}
	}

	public class SomeClass
	{
		public string Property1 { get; set; }
		public int Value2 { get; set; }

		public SomeClass(int startingValue)
		{
		}
	}
}
